| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# System::POOLED_USAGE_AND_LIMITS Struct Reference

`#include <ProcessDescriptor.h>`

List of all members.

## Detailed Description

Process Pooled Quota Usage and Limits NtQueryInformationProcess using ProcessPooledUsageAndLimits.

Definition at line 78 of file ProcessDescriptor.h.

## Public Attributes
unsigned long | PeakPagedPoolUsage
unsigned long | PagedPoolUsage
unsigned long | PagedPoolLimit
unsigned long | PeakNonPagedPoolUsage
unsigned long | NonPagedPoolUsage
unsigned long | NonPagedPoolLimit
unsigned long | PeakPagefileUsage
unsigned long | PagefileUsage
unsigned long | PagefileLimit

## Member Data Documentation

unsigned long System::POOLED_USAGE_AND_LIMITS::PeakPagedPoolUsage

Definition at line 79 of file ProcessDescriptor.h.

unsigned long System::POOLED_USAGE_AND_LIMITS::PagedPoolUsage

Definition at line 80 of file ProcessDescriptor.h.

unsigned long System::POOLED_USAGE_AND_LIMITS::PagedPoolLimit

Definition at line 81 of file ProcessDescriptor.h.

Referenced by System::pagedMemoryLimit().

unsigned long System::POOLED_USAGE_AND_LIMITS::PeakNonPagedPoolUsage

Definition at line 82 of file ProcessDescriptor.h.

unsigned long System::POOLED_USAGE_AND_LIMITS::NonPagedPoolUsage

Definition at line 83 of file ProcessDescriptor.h.

unsigned long System::POOLED_USAGE_AND_LIMITS::NonPagedPoolLimit

Definition at line 84 of file ProcessDescriptor.h.

Referenced by System::nonPagedMemoryLimit().

unsigned long System::POOLED_USAGE_AND_LIMITS::PeakPagefileUsage

Definition at line 85 of file ProcessDescriptor.h.

unsigned long System::POOLED_USAGE_AND_LIMITS::PagefileUsage

Definition at line 86 of file ProcessDescriptor.h.

unsigned long System::POOLED_USAGE_AND_LIMITS::PagefileLimit

Definition at line 87 of file ProcessDescriptor.h.

Referenced by System::pagefileUsageLimit().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/ProcessDescriptor.h